package com.aliyun.vodplayer.demo;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;

import com.aliyun.vodplayer.demo.activity.basic.DemoUrlActivity;
import com.aliyun.vodplayer.demo.utils.BaseAppCompatActivity;
import com.aliyun.vodplayer.demo.utils.OnClickListener;

public class DemoBasePlayerActivity extends BaseAppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_demo_base_player);

        findViewById(R.id.vod).setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View v) {
                if (isDoubleClick()) {
                    return;
                }

                Intent intent = new Intent();
                intent.putExtra("type", "vod");
                intent.setClass(DemoBasePlayerActivity.this, DemoUrlActivity.class);
                startActivity(intent);
            }
        });

        findViewById(R.id.live).setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View v) {

                if (isDoubleClick()) {
                    return;
                }

                Intent intent = new Intent();
                intent.putExtra("type", "live");
                intent.setClass(DemoBasePlayerActivity.this, DemoUrlActivity.class);
                startActivity(intent);
            }
        });
    }

}
