package com.aliyun.vodplayer.demo.activity.advance.liveanswer;

import android.app.Activity;
import android.app.Dialog;
import android.view.WindowManager;

import com.aliyun.vodplayer.demo.R;


/*
 * Copyright (C) 2010-2017 Alibaba Group Holding Limited.
 */
public class SuccessDialog {

    private Dialog dialog = null;

    public SuccessDialog(Activity activity) {

        dialog = new Dialog(activity, R.style.dialog);
        dialog.setCancelable(false);
        dialog.setCanceledOnTouchOutside(false);
        dialog.setContentView(R.layout.alivc_dialog_success);
        findAllViews();
    }

    private void findAllViews() {
    }

    public void show() {
        /*
         * 将对话框的大小按屏幕大小的百分比设置
         */
        int screenWidth = dialog.getWindow().getWindowManager().getDefaultDisplay().getWidth();
        WindowManager.LayoutParams p = dialog.getWindow().getAttributes(); // 获取对话框当前的参数值
        p.width = (int) (screenWidth * 0.8f);
        dialog.getWindow().setAttributes(p);
        try {
            dialog.show();
            dialog.getWindow().getDecorView().postDelayed(new Runnable() {
                @Override
                public void run() {
                    dismiss();
                }
            }, 5 * 1000);//5秒消失
        } catch (Exception e) {
            //防止activity退出了，还去显示导致的崩溃
        }
    }

    public void dismiss() {
        dialog.dismiss();
    }
}
