package com.aliyun.vodplayer.demo.activity.advance.liveanswer.bean;



import com.aliyun.vodplayer.utils.JsonUtil;

import org.json.JSONObject;

/*
 * Copyright (C) 2010-2017 Alibaba Group Holding Limited.
 */
public class AnswerResponse extends BaseResponse {
    public AnswerInfo data;

    public static AnswerResponse getFromJson(JSONObject jsonObject) {
        if(jsonObject == null){
            return null;
        }
        AnswerResponse answerResponse = new AnswerResponse();
        answerResponse.result = Result.getFromJson(JsonUtil.getJSONObject(jsonObject, "result"));
        answerResponse.data = AnswerInfo.getFromJson(JsonUtil.getJSONObject(jsonObject, "data"));

        return answerResponse;
    }
}

