package com.aliyun.vodplayer.demo.activity.advance.liveanswer.bean;


import com.aliyun.vodplayer.utils.JsonUtil;

import org.json.JSONObject;

/*
 * Copyright (C) 2010-2017 Alibaba Group Holding Limited.
 */
public class UserStatusResponse extends BaseResponse {
    public UserStatusInfo data;

    public static UserStatusResponse getFromJson(JSONObject jsonObject) {
        if(jsonObject == null){
            return null;
        }
        UserStatusResponse answerResponse = new UserStatusResponse();
        answerResponse.result = Result.getFromJson(JsonUtil.getJSONObject(jsonObject, "result"));
        answerResponse.data = UserStatusInfo.getFromJson(JsonUtil.getJSONObject(jsonObject, "data"));

        return answerResponse;
    }
}

